# Goals
* Use [Github Pages] for simple Projects/ Show-cases, that I could document and demo in the same place.

* Use _Scala/ ScalaJS_ technology.
* Use _Markup_ for documentation.
* Create simple Tutorials that:
  * print Mathematical formulas nicely
  * use Graphs for illustration
  * can interacted with
  * display code snippets

# Examples
### [How to use this project]
### [Compile Mathematical Expressions]
### [Extended How-To Example]
It's in german and shows a bit more of composition with [Binding.scala]
### [And more....]

# Result
The result is a showcase on how to use different _Scala/ ScalaJS_ tools in combination with Markup and [Github Pages] (check the references below).

See yourself: **https://pme123.github.io/github-pages-demo/**

# References

This project uses the following tools. All of them have excellent tutorials:
## Markup
- **Github Pages**: When you commit your project to _Github_ your pages will be created automatically. Check out [Github Pages]
- **Jekyll**: _Github Pages_ uses _Jekyll_ for rendering. See [Jekyll]
- **So Simple**: _Michael Rose_ creates great Themes for _Jekyll_ - so I choose _So Simple_ for this project. Check out its great tutorial: [So Simple Theme]

## Coding
For any coding I use:
- **ScalaJS** for general coding: [ScalaJS]
- **Binding.scala** for dom functionality and data binding: [Binding.scala]
- **ScalablyTyped** for JavaScript facades: [Scalably Typed]
- **Plot.ly** for painting diagrams and graphs: [Plotly JS]
- **Math.js**  for evaluating mathematical string expressions: [MathJS]
- **MathJax** for printing nice formulas in HTML: [MathJax] 
- **Semantic-UI** styling the forms (if the theme was not enough): [Semantic UI] 

## Building
- **sbt** for building the project: [SBT]
- **scalajs-bundler** for bundling the JavaScript dependencies: [scalajs-bundler]

# Check also
If you want document everything in _Scala_ check out: https://sake92.github.io/hepek/

[Binding.scala]: https://github.com/ThoughtWorksInc/Binding.scala
[Git]: https://git-scm.com/book/en/v2/Getting-Started-Installing-Git
[Join Github]: https://github.com/join
[Github Pages]: https://pages.github.com
[Jekyll]: https://jekyllrb.com
[MathJax]:https://www.mathjax.org
[MathJS]: https://mathjs.org
[Plotly JS]: https://plot.ly/javascript/shapes/
[SBT]: https://www.scala-sbt.org
[Scalably Typed]: https://github.com/oyvindberg/ScalablyTyped
[ScalaJS]: http://www.scala-js.org
[scalajs-bundler]: https://github.com/scalacenter/scalajs-bundler
[Semantic UI]: https://semantic-ui.com
[So Simple Theme]: https://github.com/mmistakes/so-simple-theme

[How to use this project]: https://pme123.github.io/github-pages-demo/develop/2019/04/28/how-to.html
[Compile Mathematical Expressions]: https://pme123.github.io/github-pages-demo/math/2019/04/24/math-expression.html
[Extended How-To Example]: https://pme123.github.io/github-pages-demo/math/2019/04/24/math-kreis
[And more....]: https://pme123.github.io/github-pages-demo/posts/